Subject: Re: bug#18643: 25.0.50; elisp--expect-function-p

From: Stefan Monnier <[email-masked]>
Date: Sat, 11 Oct 2014 09:47:42 -0400

> 5:25 PM, 10 октября 2014 г., Stefan Monnier <[email-masked]>:
>     a completion-at-point-function which is designed specifically for
>     "completion in strings and comments" and which would probably rely on
>     something like dabbrev, complemented by a major-mode-supplied list of
>     additional candidates.

> The "complemented" part there gives me pause: we just got out of the
> situation when a person writing prose in a docstring kept getting Lisp
> functions in completions.

But by being a separate function, users can add/remove it at will,
depending on their preference.

> I rather think the right solution would start with a stricter convention for
> code snippets in docstrings. 

That's a non-starter, because while we can apply this to our own code,
we can't enforce it on others's,

        Stefan